Skip to content

Create DNS

POST
/api/v1/e2e_dns/forward/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/e2e_dns/forward/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"domain_name": "bunty.com",
"ip_addr": "1.1.1.1"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
domain_name
required
string

Example

bunty.com
ip_addr
required
string format: ipv4

Example

1.1.1.1

Successful response indicating domain creation

Media typeapplication/json
object
code
integer
data
object
status
boolean
message
string
id
integer
label_id
integer
nullable
resource_type
string
nullable
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": {
"status": true,
"message": "The domain was created successfully!",
"id": 10279,
"label_id": null,
"resource_type": null
},
"errors": {},
"message": "Success"
}